package cn.efunbox.manage.base.util;

import java.util.Calendar;

/**
 * WeekUtil
 * Created by xusq on 2018/1/30.
 */
public class WeekUtil {

    public static int currentWeek() {

        Calendar c = Calendar.getInstance();

        return getWeekNumber(c);
    }

    private static  int getWeekNumber(Calendar calendar){
        int currentWeek = calendar.get(Calendar.WEEK_OF_YEAR);

        int year = calendar.get(Calendar.YEAR);

        int weekNumber = year * 100 + currentWeek;

        int endWeek = calendar.get(Calendar.DAY_OF_YEAR);

        if (endWeek > 359 && currentWeek == 1) {
            weekNumber = (year + 1) * 100 + 1;
        }

        return weekNumber;
    }

    public static int preWeek() {


        Calendar c = Calendar.getInstance();
        c.add(Calendar.DATE, -7);

        return getWeekNumber(c);
    }

    public static int nextWeek() {


        Calendar c = Calendar.getInstance();
        c.add(Calendar.DATE, 7);



        return getWeekNumber(c);
    }

    public static void main(String[] args) {
        int i = WeekUtil.currentWeek();

        int i1 = WeekUtil.nextWeek();
        System.out.println(i1);
        int i2 = WeekUtil.preWeek();
        System.out.println(i2);
        System.out.println(i);
    }
}
