package cn.efunbox.manage.common.utils;

import com.alibaba.fastjson.JSONObject;

public class WxApiUtil {

	/**
	 * 请求微信时的错误标志字段
	 */
	public static final String WEIXIN_ERROR_CODE_FIELD = "errcode";

	/**
	 * 请求微信时，成功标志字段
	 */
	public static final int WEIXIN_SUCCESS_CODE = 0;

	public static boolean isWeixinRequestSuccess(JSONObject jsonObj) {
		if (jsonObj == null || (jsonObj.containsKey(WEIXIN_ERROR_CODE_FIELD)
				&& jsonObj.getIntValue(WEIXIN_ERROR_CODE_FIELD) != WEIXIN_SUCCESS_CODE)) {
			return false;
		}
		return true;
	}
	
}
