package cn.efunbox.manage.base.repository;

import cn.efunbox.manage.base.entity.Department;
import cn.efunbox.manage.base.enums.BaseStatusEnum;
import cn.efunbox.manage.common.data.BasicRepository;

import java.util.List;


public interface DepartmentRepository extends BasicRepository<Department> {

    List<Department> findByPath(Long path);

    List<Department> findByStatusOrderBySortDesc(BaseStatusEnum status);

}
