package cn.efunbox.manage.base.service;

import cn.efunbox.manage.base.entity.User;
import cn.efunbox.manage.base.vo.UserVo;
import cn.efunbox.manage.common.result.ApiResult;

import java.util.List;

public interface UserService {
    ApiResult<UserVo> login(String userName, String password);

    ApiResult<User> saveUser(User cmsUser);

    ApiResult<User> updateUser(User cmsUser);

    ApiResult<User> deleteUserByIds(List<String> ids);
}
