package cn.efunbox.manage.common.utils;

import com.aliyuncs.exceptions.ClientException;
import org.apache.commons.lang3.StringUtils;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class SmsUtil {

    public static String sendMsg(String mobile,RedisTemplate<String,String> redisTemplate){
        String code= null;
        ValueOperations<String,String> valueOperations=redisTemplate.opsForValue();
        if(valueOperations.get(mobile)!=null){
            return "buzy";
        }
        try {
            code = SmsDemo.sendSms(mobile);
        } catch (ClientException e) {
            e.printStackTrace();
        }

        if (StringUtils.isBlank(code)) {
            return null;
        }


        valueOperations.set(mobile,code,2,TimeUnit.MINUTES);
        //redisTemplate.expire(mobile,2, TimeUnit.MINUTES);

       /* if(code.getCode()!= null && code.getCode().equals("OK")) {
            QuerySendDetailsResponse querySendDetailsResponse = null;
            try {
                querySendDetailsResponse = SmsDemo.querySendDetails(code.getBizId(),mobile);
            } catch (ClientException e) {
                e.printStackTrace();
            }
            if (Objects.isNull(querySendDetailsResponse)) {
                return null;
            }
            if (CollectionUtils.isEmpty(querySendDetailsResponse.getSmsSendDetailDTOs())) {
                return null;
            }
            QuerySendDetailsResponse.SmsSendDetailDTO smsSendDetailDTO=querySendDetailsResponse.getSmsSendDetailDTOs().get(0);
            String regEx="[^0-9]";
            Pattern p = Pattern.compile(regEx);
            Matcher m = p.matcher(smsSendDetailDTO.getContent());
            sign= m.replaceAll("").trim();
            valueOperations.set(mobile,sign);
            redisTemplate.expire(mobile,2, TimeUnit.MINUTES);
            System.out.println("验证码-===="+sign);
        }*/
        System.out.println("验证码-===="+code);
        return code;

    }
}
